#!/bin/sh
#
# Provides:          Lightbar toggle functionality


YELLOW_LEFT="pca955x:0"
RED1="pca955x:1"
RED2="pca955x:2"
RED3="pca955x:3"
RED4="pca955x:4"
RED5="pca955x:5"
RED6="pca955x:12"
GREEN="pca955x:13"
RED7="pca955x:6"
RED8="pca955x:7"
RED9="pca955x:8"
RED10="pca955x:9"
RED11="pca955x:11"
RED12="pca955x:14"
YELLOW_RIGHT="pca955x:15"



case "$1" in

  YELLOW_LEFT)
	echo $2 > /sys/class/leds/$YELLOW_LEFT/brightness
  ;;
  RED1)
	echo $2 > /sys/class/leds/$RED1/brightness
  ;;
  RED2)
	echo $2 > /sys/class/leds/$RED2/brightness
  ;;
  RED3)
	echo $2 > /sys/class/leds/$RED3/brightness
  ;;
  RED4)
	echo $2 > /sys/class/leds/$RED4/brightness
  ;;
  RED5)
	echo $2 > /sys/class/leds/$RED5/brightness
  ;;
  RED6)
	echo $2 > /sys/class/leds/$RED6/brightness
  ;;
  GREEN)
	echo $2 > /sys/class/leds/$GREEN/brightness
  ;;
  RED7)
	echo $2 > /sys/class/leds/$RED7/brightness
  ;;
  RED8)
	echo $2 > /sys/class/leds/$RED8/brightness
  ;;
  RED9)
	echo $2 > /sys/class/leds/$RED9/brightness
  ;;
  RED10)
	echo $2 > /sys/class/leds/$RED10/brightness
  ;;
  RED11)
	echo $2 > /sys/class/leds/$RED11/brightness
  ;;
  RED12)
	echo $2 > /sys/class/leds/$RED12/brightness
  ;;
  YELLOW_RIGHT)
	echo $2 > /sys/class/leds/$YELLOW_RIGHT/brightness
  ;;


  *)
	echo "Usage lbtest.sh [YELLOW_LEFT | RED1 | RED2 | RED3 | RED4 | RED5 | RED6 | GREEN | RED7 | RED8 | RED9 | RED10 | RED11 | RED12 | YELLOW_RIGHT, BRIGHTNESS(0-255)]"
	echo "Usage lbtest.sh BRIGHTNESS: 0=high, 254=low, 255=off"
	exit -1
  ;;
esac

exit 0
