#!/bin/sh
#
# Provides:          Lightbar toggle functionality

YELLOW_LEFT="pca955x:0"
RED1="pca955x:1"
RED2="pca955x:2"
RED3="pca955x:3"
RED4="pca955x:4"
RED5="pca955x:5"
RED6="pca955x:12"
GREEN="pca955x:13"
RED7="pca955x:6"
RED8="pca955x:7"
RED9="pca955x:8"
RED10="pca955x:9"
RED11="pca955x:11"
RED12="pca955x:14"
YELLOW_RIGHT="pca955x:15"

setup_manual()
{
	if [ -d /sys/class/leds/$YELLOW_LEFT ]; then
		echo none > /sys/class/leds/$YELLOW_LEFT/trigger
		echo none > /sys/class/leds/$RED1/trigger
		echo none > /sys/class/leds/$RED2/trigger
		echo none > /sys/class/leds/$RED3/trigger
		echo none > /sys/class/leds/$RED4/trigger
		echo none > /sys/class/leds/$RED5/trigger
		echo none > /sys/class/leds/$RED6/trigger
		echo none > /sys/class/leds/$GREEN/trigger
		echo none > /sys/class/leds/$RED7/trigger
		echo none > /sys/class/leds/$RED8/trigger
		echo none > /sys/class/leds/$RED9/trigger
		echo none > /sys/class/leds/$RED10/trigger
		echo none > /sys/class/leds/$RED11/trigger
		echo none > /sys/class/leds/$RED12/trigger
		echo none > /sys/class/leds/$YELLOW_RIGHT/trigger
	fi
}

set_high()
{
	echo 255 > /sys/class/leds/$YELLOW_LEFT/brightness
	echo 255 > /sys/class/leds/$RED1/brightness
	echo 255 > /sys/class/leds/$RED2/brightness
	echo 255 > /sys/class/leds/$RED3/brightness
	echo 255 > /sys/class/leds/$RED4/brightness
	echo 255 > /sys/class/leds/$RED5/brightness
	echo 255 > /sys/class/leds/$RED6/brightness
	echo 255 > /sys/class/leds/$GREEN/brightness
	echo 255 > /sys/class/leds/$RED7/brightness
	echo 255 > /sys/class/leds/$RED8/brightness
	echo 255 > /sys/class/leds/$RED9/brightness
	echo 255 > /sys/class/leds/$RED10/brightness
	echo 255 > /sys/class/leds/$RED11/brightness
	echo 255 > /sys/class/leds/$RED12/brightness
	echo 255 > /sys/class/leds/$YELLOW_RIGHT/brightness
}

set_low()
{
	echo 0 > /sys/class/leds/$YELLOW_LEFT/brightness
	echo 0 > /sys/class/leds/$RED1/brightness
	echo 0 > /sys/class/leds/$RED2/brightness
	echo 0 > /sys/class/leds/$RED3/brightness
	echo 0 > /sys/class/leds/$RED4/brightness
	echo 0 > /sys/class/leds/$RED5/brightness
	echo 0 > /sys/class/leds/$RED6/brightness
	echo 0 > /sys/class/leds/$GREEN/brightness
	echo 0 > /sys/class/leds/$RED7/brightness
	echo 0 > /sys/class/leds/$RED8/brightness
	echo 0 > /sys/class/leds/$RED9/brightness
	echo 0 > /sys/class/leds/$RED10/brightness
	echo 0 > /sys/class/leds/$RED11/brightness
	echo 0 > /sys/class/leds/$RED12/brightness
	echo 0 > /sys/class/leds/$YELLOW_RIGHT/brightness
}

set_mid()
{
	echo 128 > /sys/class/leds/$YELLOW_LEFT/brightness
	echo 128 > /sys/class/leds/$RED1/brightness
	echo 128 > /sys/class/leds/$RED2/brightness
	echo 128 > /sys/class/leds/$RED3/brightness
	echo 128 > /sys/class/leds/$RED4/brightness
	echo 128 > /sys/class/leds/$RED5/brightness
	echo 128 > /sys/class/leds/$RED6/brightness
	echo 128 > /sys/class/leds/$GREEN/brightness
	echo 128 > /sys/class/leds/$RED7/brightness
	echo 128 > /sys/class/leds/$RED8/brightness
	echo 128 > /sys/class/leds/$RED9/brightness
	echo 128 > /sys/class/leds/$RED10/brightness
	echo 128 > /sys/class/leds/$RED11/brightness
	echo 128 > /sys/class/leds/$RED12/brightness
	echo 128 > /sys/class/leds/$YELLOW_RIGHT/brightness
}

set_walk()
{
	echo 255 > /sys/class/leds/$YELLOW_LEFT/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED1/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED2/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED3/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED4/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED5/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED6/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$GREEN/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED7/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED8/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED9/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED10/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED11/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$RED12/brightness
	sleep 0.1
	echo 255 > /sys/class/leds/$YELLOW_RIGHT/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$YELLOW_LEFT/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED1/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED2/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED3/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED4/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED5/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED6/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$GREEN/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED7/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED8/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED9/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED10/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED11/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$RED12/brightness
	sleep 0.1
	echo 0 > /sys/class/leds/$YELLOW_RIGHT/brightness
	sleep 0.1
}

case "$1" in
	
  high)
	setup_manual
	set_high
  ;;
  low)
	setup_manual
	set_low
  ;;
  toggle)
	setup_manual
	while [ true ]
	do
		set_high
		sleep 1;
		set_mid
		sleep 1;
		set_low
		sleep 1;
		set_mid
		sleep 1;
	done
  ;;
  walk)
	setup_manual
	set_low
	while [ true ]
	do
		set_walk
	done
  ;;
  *)
	echo "Usage alarm.sh [high|low|toggle|walk]"
	exit -1
  ;;
esac

exit 0
